Subject: RE: [SUA Issue] Hop Counter

From: Verwimp Gery <[email-masked]>
Date: Fri, 31 Aug 2001 10:54:21 +0200

Brian,

Some nit-picking below.

____________________________

Gery Verwimp
> SIEMENS ATEA
> ICN D CS D5
> Tel. : +32 14 25 3424
Fax : +32 14 25 3212
mailto:[email-masked]
____________________________________

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: vrijdag 31 augustus 2001 10:28
To: sigtran
Subject: Re: [SUA Issue] Hop Counter

Gery,

Please see comments below...

Verwimp Gery wrote:                                (Fri, 31 Aug 2001
10:04:11)
> Klaus,
> 
> I agree with your arguments. There's no reason why SUA couldn't adopt hop
> counter as mandatory.

It is optional in SS7.

[GV] : mandatory for XUDT and LUDT.

> The SCCP-user has no control over it, so there's no interface issue with
> existing applications on either SG or AS.

SCCP-User has control over hop counter in QoS Parameter Set.

[GV] : What's contained in this parameter set in nowhere specified. Anyway,
if the user provides it, SUA must surely be able to handle it.

> Also, when hop counter is not used in the SS7 network (strictly UDT) the
NIF
> just strips it off.

How does the NIF know to strip it off?  We will need a codepoint for
hop counter which indicates that it was not provided.  It is more consistent
with other parameters in SUA to make the parameter optional rather than
provide a code point to indicate that it was not provided.

[GV] : the NIF (SCCP/SUA interworking) would know when to send UDT, wouldn't
it ? There is no place for a hop counter in UDT, so strip it off. Second, if
the hop counter is there it MUST be populated. But hey, I said I agree with
the optional part.

'0' cannot be used to indicate that the hop counter was not present, because
the hop counter may have been provided, but coded to 0.  What would we use?
0xff ?

[GV] : why would anyone need a codepoint for "not provided" ??

> If no hop counter is received (UDT), the NIF populates it
> with zero or any value it deems fit before sending CLDT to the ASP.

Because the hop counter is never provided to the SCCP-User, the SG
never has to provide hop counter to the ASP.

[GV] : that's only true in the simple backhaul case.

> However, I could live with this parameter being optional, since the
"simple"
> architectures (backhaul etc.) do not really need it. At least it's there
and
> it must be handled when received !
     ^^^^ could

Please make the parameter optional for transparency and increased
interoperability.

[GV] : no beef here. Issue resolved ?

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to
[email-masked]

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]